<?php

namespace xenarabia\ThreadsStamp\Entity;

use XF\Mvc\Entity\Entity;
use XF\Mvc\Entity\Structure;


class StampsEntity extends Entity
{


	public static function getStructure(Structure $structure)
	{
		$options = \XF::options();
		$structure->table = 'xa_threads_stamp';
		$structure->shortName = 'xenarabia\ThreadsStamp:StampsEntity';
		$structure->primaryKey = 's_id';
		$structure->columns = [
			's_id' => ['type' => self::UINT, 'autoIncrement' => true],
			's_name' => ['type' => self::STR, 'required' => 'please_enter_stamp_name'],
			's_image' => ['type' => self::STR, 'required' => 'please_choose_stamp_image'],
		];
		$structure->getters = [];
		$structure->relations = [
			'Thread' => [
				'entity' => 'XF:Thread',
				'type' => self::TO_ONE,
				'conditions' => [['xa_stamp_id', '=', '$s_id']],
				'primary' => true
			],
		];


		return $structure;
	}


	protected function _postSave()
	{
		// $getuser = \XF::app()->find('XF:User', $this->user_id);
		// $alertRepo = \XF::app()->repository('XF:UserAlert');
		// $extra = [];


		/**
		 * 		Alert section
		 */

		// alert user for new tonats added to his account 
			// $extra = array_merge([
			// 	'tonats'	=> $this,
			// 	'tonatsNo' => $this->ton_no,
			// 	'depends_on_addon_id' => 'xenarabia/tonats',
			// ], $extra);
			// $alertRepo->alert($getuser, $getuser->user_id, '', 'user', $this->ton_id, 'tonats_add', $extra);
	

	}
}
